#
# spec file for package ami (Version 1.0.10)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  audiofile automake esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-core gnome-core-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-config imlib-devel orbit orbit-devel xf86
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel audiofile autoconf automake binutils bzip2 cracklib esound esound-devel gcc gdbm gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-config imlib-devel libtool orbit orbit-devel perl rpm xdevel xf86 xshared zlib

Name:         ami
%define __x11prefix /usr/X11R6
%define __gnomeprefix /opt/gnome
%define	sysconfdir /etc%{__gnomeprefix}
License:      GPL
Group:        System/I18n/Korean
Provides:     korean-xim
Requires:     gdk-pixbuf
Autoreqprov:  on
Summary:      Korean IMS (Input Method System) Ami
Version:      1.0.10
Release:      663
URL:          http://www.kr.freebsd.org/~hwang/ami/index.html
Source0:      http://www.kr.freebsd.org/~hwang/ami/ami-%{version}.tar.bz2
Source1:      http://www.kr.freebsd.org/~hwang/ami/hanja.dic
Source3:      ami.kdelnk
Source4:      ami.desktop.ko
Source5:      ami_applet.desktop.ko
Source6:      ami.gtkrc.ko
Source7:      ami.desktop.kde3x
Source8:      keyboard-16x16.png
Source9:      keyboard-32x32.png
Source10:     keyboard-16x16.xpm
Source11:     keyboard-32x32.xpm
Source12:     http://adam.kaist.ac.kr/~cwryu/archive/misc/hanja-words-19991020.tar.gz
Patch:        ami-%{version}.dif
Patch1:       ami-64bit.patch
Patch2:       ami-kde-detection-bigendian.patch
Patch7:       destroy-hanja-dialog.patch
Patch8:       shift-ctrl-endian-problem.patch
Patch9:       destroywin-2.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Korean IMS (Input Method System) Ami. Uses gtk+, supports gnome applet
mode and Windowmaker dock mode.  The Gnome applet mode binary is in a
separate package.

Authors:
--------
    <cdhwang@sr.hei.co.kr>

%package -n   amidic
Summary:      Hanja dictionary for AMI, Korean IMS
Group:        System/I18n/Korean
Prereq:       /bin/rm /bin/ln
Requires:     ami
Provides:     ami-dic

%description -n amidic
Hanja dictionary for ami, korean IMS, by Changwoo Ryu.

Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.

Authors:
--------
    Changwoo Ryu <cwryu@debian.org>

%package -n   amignome
Summary:      Korean IMS (Input Method System) Ami, GNOME Applet mode
Group:        System/I18n/Korean
Requires:     gdk-pixbuf
Provides:     ami-gnome, korean-xim

%description -n amignome
Korean IMS (Input Method System) Ami. Uses gtk+, supports gnome applet
mode and Windowmaker dock mode.  This package contains only the gnome
applet mode binary of AMI.

Authors:
--------
    <cdhwang@sr.hei.co.kr>

%prep
%setup -q 
%patch
%patch1 -p1 -b .64bit
%patch2 -p1 -b .kde-detection-bigendian
%patch7 -p 1 -b .destroy-hanja-dialog
%patch8 -p 1 -b .shift-ctrl-endian-problem
%patch9 -p 1 -b .destroywin-2
tar zxvf $RPM_SOURCE_DIR/hanja-words-19991020.tar.gz

%build
# update config.{guess,sub}
%{?suse_update_config}
# export CFLAGS="$RPM_OPT_FLAGS" 
# ./configure --prefix=%{__gnomeprefix} \
# 	    --sysconfdir=%sysconfdir \
# 	    --with-hangul-keyboard=2 \
# 	    --with-gnome=/opt/gnome \
# 	    --enable-gnome-applet \
# 	    %{_target_cpu}-suse-linux-gnu
# make
# cp src/ami src/ami_applet
# make clean
export CFLAGS="$RPM_OPT_FLAGS" 
./configure --prefix=%{__gnomeprefix} \
 	    --sysconfdir=%sysconfdir \
	    --with-hangul-keyboard=2 \
	    --with-gnome=/opt/gnome \
	    %{_target_cpu}-suse-linux-gnu
make
cd hanja-words-19991020
make
cd ../hanjadic
make
cd ..

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
##########################################################################
# AMI BINARY..............................................................
##########################################################################
mkdir -p %{buildroot}%{__gnomeprefix}/bin
# install -s -m 755 src/ami_applet %{buildroot}%{__gnomeprefix}/bin
install -s -m 755 src/ami %{buildroot}%{__gnomeprefix}/bin/
(cd %{buildroot}%{__gnomeprefix}/bin; ln -sf ami wmami)
##########################################################################
# AMI THEME PIXMAPS.......................................................
##########################################################################
mkdir -p %{buildroot}%{__gnomeprefix}/share/ami/pix/Aqua
mkdir -p %{buildroot}%{__gnomeprefix}/share/ami/pix/Mac
mkdir -p %{buildroot}%{__gnomeprefix}/share/ami/pix/OSX
mkdir -p %{buildroot}%{__gnomeprefix}/share/ami/pix/arctic
mkdir -p %{buildroot}%{__gnomeprefix}/share/ami/pix/deepblue
mkdir -p %{buildroot}%{__gnomeprefix}/share/ami/pix/steelblue
install -m 644 pix/Aqua/*      %{buildroot}%{__gnomeprefix}/share/ami/pix/Aqua
install -m 644 pix/Aqua/*      %{buildroot}%{__gnomeprefix}/share/ami/pix/Aqua
install -m 644 pix/Mac/*       %{buildroot}%{__gnomeprefix}/share/ami/pix/Mac
install -m 644 pix/OSX/*       %{buildroot}%{__gnomeprefix}/share/ami/pix/OSX
install -m 644 pix/arctic/*    %{buildroot}%{__gnomeprefix}/share/ami/pix/arctic
install -m 644 pix/deepblue/*  %{buildroot}%{__gnomeprefix}/share/ami/pix/deepblue
install -m 644 pix/steelblue/* %{buildroot}%{__gnomeprefix}/share/ami/pix/steelblue
##########################################################################
# AMI RESOURCE FILE.......................................................
##########################################################################
mkdir -p %{buildroot}%{sysconfdir}/CORBA/servers
install -c -m 644 $RPM_SOURCE_DIR/ami.gtkrc.ko %{buildroot}%{__gnomeprefix}/share/ami/gtkrc
install -c -m 644 ami.gnorba %{buildroot}%{sysconfdir}/CORBA/servers
install -s -m 755 hanjadic/hanja-hwp2ami %{buildroot}%{__gnomeprefix}/share/ami
##########################################################################
# AMI DIC FILE............................................................
##########################################################################
install -c -m 644 hanja-words-19991020/output/ami.dic \
	%{buildroot}%{__gnomeprefix}/share/ami/cwryu.dic
install -c -m 644 $RPM_SOURCE_DIR/hanja.dic %{buildroot}%{__gnomeprefix}/share/ami/default.dic
ln -s default.dic %{buildroot}%{__gnomeprefix}/share/ami/hanja.dic
##########################################################################
# PIXMAPS.................................................................
##########################################################################
mkdir -p %{buildroot}%{__x11prefix}/share/icons/png/locolor/16x16/apps
mkdir -p %{buildroot}%{__x11prefix}/share/icons/png/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/kde3/share/icons/locolor/16x16/apps
mkdir -p %{buildroot}/opt/kde3/share/icons/hicolor/32x32/apps
mkdir -p %{buildroot}/opt/gnome/share/pixmaps/
install -c -m 644 $RPM_SOURCE_DIR/keyboard-16x16.png \
	%{buildroot}%{__x11prefix}/share/icons/png/locolor/16x16/apps/ami.png
install -c -m 644 $RPM_SOURCE_DIR/keyboard-32x32.png \
	%{buildroot}%{__x11prefix}/share/icons/png/hicolor/32x32/apps/ami.png
ln -s %{__x11prefix}/share/icons/png/locolor/16x16/apps/ami.png \
	%{buildroot}/opt/kde3/share/icons/locolor/16x16/apps/ami.png
ln -s %{__x11prefix}/share/icons/png/hicolor/32x32/apps/ami.png \
	%{buildroot}/opt/kde3/share/icons/hicolor/32x32/apps/ami.png
ln -s %{__x11prefix}/share/icons/png/hicolor/32x32/apps/ami.png \
	%{buildroot}/opt/gnome/share/pixmaps/ami.png
##########################################################################
# GNOME, KDE-3.x, .................................................
##########################################################################
mkdir -p %{buildroot}/opt/gnome/share/applets/Utility
mkdir -p %{buildroot}/opt/kde3/share/applnk/Utilities
install -c -m 644 $RPM_SOURCE_DIR/ami.desktop.ko \
	%{buildroot}/opt/gnome/share/applets/Utility/ami.desktop
install -c -m 644 $RPM_SOURCE_DIR/ami.desktop.kde3x \
	%{buildroot}/opt/kde3/share/applnk/Utilities/ami.desktop

%post -n amidic
rm -f %{__gnomeprefix}/share/ami/hanja.dic
ln -s cwryu.dic %{__gnomeprefix}/share/ami/hanja.dic

%postun -n amidic
rm -f %{__gnomeprefix}/share/ami/hanja.dic
ln -s default.dic %{__gnomeprefix}/share/ami/hanja.dic

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog AUTHORS THANKS
%{__gnomeprefix}/bin/wmami
%{__gnomeprefix}/bin/ami
%{__gnomeprefix}/share/ami/default.dic
%{__gnomeprefix}/share/ami/hanja.dic
%{__gnomeprefix}/share/ami/hanja-hwp2ami
%{__gnomeprefix}/share/ami/pix
%config %{__gnomeprefix}/share/ami/gtkrc
%{__x11prefix}/share/icons/png/locolor/16x16/apps/ami.png
%{__x11prefix}/share/icons/png/hicolor/32x32/apps/ami.png
/opt/kde3/share/icons/locolor/16x16/apps/ami.png
/opt/kde3/share/icons/hicolor/32x32/apps/ami.png
/opt/kde3/share/applnk/Utilities/ami.desktop

%files -n amidic
%defattr(-,root,root)
%{__gnomeprefix}/share/ami/cwryu.dic

%files -n amignome
%defattr(-,root,root)
# %{__gnomeprefix}/bin/ami_applet
/opt/gnome/share/pixmaps/ami.png
/opt/gnome/share/applets/Utility/ami.desktop
%{sysconfdir}/CORBA/servers/ami.gnorba

%changelog -n ami
* Fri May 28 2004 - mfabian@suse.de
- Bugzilla 40452: "LTC8294-Korea: AMI IM caused Seg fault after
  destroying one of some TextFields": apply fix supplied
  by Mitsuru CHINEN <mchinen@yamato.ibm.com>.
* Thu Jan 29 2004 - mfabian@suse.de
- add shift-ctrl-endian-problem.patch, see Bugzilla #32149.
  Patch thanks to Mitsuru CHINEN <mchinen@yamato.ibm.com>.
* Thu Jan 22 2004 - mfabian@suse.de
- Bugzilla #32272: add destroy-hanja-dialog.patch to fix segfault
  after some operations for the candidate window.
* Fri Sep 19 2003 - mfabian@suse.de
- Bugzilla #26766: apply  64bit and endianness patches
  for all platforms.
  Thanks to Mitsuru Chinen <mchinen@yamato.ibm.com> for noticing
  this and his explanation.
  Applying these patches always is necessary because the problems
  are caused by the difference of endianness between a server and
  a client.
  Applying these patches for all platforms should be safe,
  I do that in the the SuSE 9.0 packages already since June
  and no problems occured so far.
* Wed Jun 11 2003 - mfabian@suse.de
- fix the rest of Bugzilla #26766: make it work with mlterm
  as well.
  Again many thanks to Mitsuru Chinen <mchinen@yamato.ibm.com> for
  the explanation how to fix it.
* Tue Jun 03 2003 - meissner@suse.de
- Fix bigendian problem #27181 for all ppc, ppc64, and s390 too.
* Tue Jun 03 2003 - mfabian@suse.de
- Bugzilla #27181: fix endianness problem to make ami
  detect KDE correctly.
* Tue Jun 03 2003 - mfabian@suse.de
- Bugzilla #26766: apply fix from Mitsuru Chinen for 64bit
  architectures.
* Thu Oct 17 2002 - mfabian@suse.de
- Bug #20647: change default configuration to
  "One character Input (korean unit)" as a workaround for
  using Ami with Qt3.
* Fri Aug 16 2002 - mfabian@suse.de
- mv Prereq: to amidic sub-package
- remove stuff for KDE1
- move stuff from /opt/kde2 to /opt/kde3
- temporarily disable build of gnome applet.
  (gnome-applets.rpm was dropped, therefore we can't build the
  gnome-applet currently. Will probably become available again
  when the transition to Gnome2 is finished)
- some .spec-file cleanup
* Thu Aug 01 2002 - mfabian@suse.de
- add  Prereq: /bin/ln /bin/rm
* Fri Feb 08 2002 - mfabian@suse.de
- add --with-gnome=/opt/gnome to make it build again
* Tue Dec 04 2001 - mfabian@suse.de
- use a different default font, '-schumacher-clean-medium-*'
  doesn't seem to exist anymore
- bzip2 source
* Mon Apr 16 2001 - violiet@suse.de
- update to 1.0.10
* Sun Feb 04 2001 - violiet@suse.de
- fixed KDE1 pixmap.
* Wed Jan 03 2001 - violiet@susekorea.net
- NEW AMI PIXMAPS....
- modified KDE-1.x, KDE-2.x desktop file.
- amignome provides correct: XIM -> korean-xim.
- NEW amidic package.
- NEW SPEC.
* Mon Dec 11 2000 - violiet@susekorea.net
- update to 1.0.8
- added neededforbuild: gdk-pixbuf, gdk-pixbuf-devel
* Fri Nov 24 2000 - violiet@susekorea.net
- update to 1.0.7.1
- kde2 converted support ami desktop.
* Sun Nov 19 2000 - mfabian@suse.de
- fixed directory structure: gnome stuff should
  go to /opt/gnome
* Tue Nov 07 2000 - kukuk@suse.de
- add esound-devel to neededforbuild
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Aug 23 2000 - mfabian@suse.de
- adapted to SuSE autobuild
* Sun Oct 31 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- update to 1.0.1
* Mon Oct 25 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- new glibc environment rebuild.
* Tue Oct 19 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- Accel Linux 6.1 build release.
* Sun Oct 10 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- update to 1.0.0
* Fri Oct 08 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.5.4
* Sat Oct 02 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.5.3
* Tue Sep 28 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.5.1
* Fri Aug 27 1999 - Sang-Jin Hwang, <accel@accellinux.org>
- update to 0.4.1
* Wed Aug 18 1999 - Sang-Jin Hwang, <accel@linux.accellinux.org>
- add dvorak keyboard patch.
- keyboard environment variable patch of cdhwang
* Fri Aug 13 1999 - Sang-Jin Hwang, <accel@linux.mdworld.com>
- initial package
